import request from '@/utils/request'

// 查询车辆历史轨迹列表
export function listRecords(query) {
  return request({
    url: '/business/records/list',
    method: 'get',
    params: query
  })
}

// 删除车辆历史轨迹
export function delRecords(recordsId) {
  return request({
    url: '/business/records/delete/' + recordsId,
    method: 'delete'
  })
}
