import request from '@/utils/request'

// 查询红包列表列表
export function listRedpacket(query) {
  return request({
    url: '/product/redpacket/list',
    method: 'get',
    params: query
  })
}

// 查询红包列表详细
export function getRedpacket(redpacketId) {
  return request({
    url: '/product/redpacket/' + redpacketId,
    method: 'get'
  })
}

// 新增红包列表
export function addRedpacket(data) {
  return request({
    url: '/product/redpacket',
    method: 'post',
    data: data
  })
}

// 修改红包列表
export function updateRedpacket(data) {
  return request({
    url: '/product/redpacket',
    method: 'put',
    data: data
  })
}

// 删除红包列表
export function delRedpacket(redpacketId) {
  return request({
    url: '/product/redpacket/' + redpacketId,
    method: 'delete'
  })
}
