import request from '@/utils/request'

// 查询spu信息列表
export function listSpu_info(query) {
  return request({
    url: '/product/spu_info/list',
    method: 'get',
    params: query
  })
}

// 查询spu信息详细
export function getSpu_info(id) {
  return request({
    url: '/product/spu_info/' + id,
    method: 'get'
  })
}

// 新增spu信息
export function addSpu_info(data) {
  return request({
    url: '/product/spu_info',
    method: 'post',
    data: data
  })
}

// 修改spu信息
export function updateSpu_info(data) {
  return request({
    url: '/product/spu_info',
    method: 'put',
    data: data
  })
}

// 删除spu信息
export function delSpu_info(id) {
  return request({
    url: '/product/spu_info/' + id,
    method: 'delete'
  })

}
  // 上架spu信息
export function upSpu_info(id) {
    return request({
      url: '/product/spu_info/up/' + id,
      method: 'post'
    })

}
